URIDereferencer (Java Platform SE 8 )
Keywords: javax.xml.crypto.URIDereferencer interface
Date: 2017-07-29

compact3
javax.xml.crypto

## Interface URIDereferencer

-     public interface URIDereferencer

  A dereferencer of `URIReference`s.

  The result of dereferencing a `URIReference` is either an instance of `OctetStreamData` or `NodeSetData`. Unless the `URIReference` is a same-document reference as defined in section 4.2 of the W3C Recommendation for XML-Signature Syntax and Processing, the result of dereferencing the `URIReference` MUST be an `OctetStreamData`.

  Since:
    1.6
  See Also:
    `XMLCryptoContext.setURIDereferencer(URIDereferencer)`, `XMLCryptoContext.getURIDereferencer()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Data` | `dereference(URIReference uriReference, XMLCryptoContext context)` Dereferences the specified `URIReference` and returns the dereferenced data.

- - ### Method Detail

    - #### dereference

          Data dereference(URIReference uriReference,
                           XMLCryptoContext context)
                    throws URIReferenceException

      Dereferences the specified `URIReference` and returns the dereferenced data.
      Parameters:
        `uriReference` - the `URIReference`
        `context` - an `XMLCryptoContext` that may contain additional useful information for dereferencing the URI. This implementation should dereference the specified `URIReference` against the context's `baseURI` parameter, if specified.
      Returns:
        the dereferenced data
      Throws:
        `NullPointerException` - if `uriReference` or `context` are `null`
        `URIReferenceException` - if an exception occurs while dereferencing the specified `uriReference`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.